from cpl_core.application import ApplicationABC
from cpl_core.configuration import ConfigurationABC
from cpl_core.console import Console
from cpl_core.dependency_injection import ServiceProviderABC

from post_build.service.dependencies import Dependencies
from post_build.service.remove_config import RemoveConfig


class Application(ApplicationABC):

    def __init__(self, config: ConfigurationABC, services: ServiceProviderABC):
        ApplicationABC.__init__(self, config, services)

        self._remove_config: RemoveConfig = services.get_service(RemoveConfig)
        self._deps: Dependencies = services.get_service(Dependencies)

    def configure(self):
        pass

    def main(self):
        Console.write_line('KDB Post-Build:')
        Console.spinner(f'Removing unnecessary configs', self._remove_config.remove)
        # Console.spinner(f'Creating requirements file for pip', self._deps.create)


